# Uses of Class
org.eclipse.jdt.core.dom.PrimitiveType

Packages that use PrimitiveType
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of PrimitiveType in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return PrimitiveType
Modifier and Type
Method
Description
`PrimitiveType`
AST.`newPrimitiveType(PrimitiveType.Code typeCode)`
Creates and returns a new unparented primitive type node with the given type code.
Methods in org.eclipse.jdt.core.dom with parameters of type PrimitiveType
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(PrimitiveType node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(PrimitiveType node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(PrimitiveType node)`
Visits the given type-specific AST node.